<?
  ##########################################
## Автор: -=ШАХТЕР=-                        #                                                                                                                                                                                      ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является ПЛАТНОЙ,  #
## вы НЕ ИМЕЕТЕ ПРАВА распрострянять данный #
##  скрипт или какие-либо части его кода... #
  #########################################
require'config.php';
$align='left';
$title="Добавление видео";
aut();
head();
who_add(0,'enter'); // Занисываем Кто онлайн...


if ($ver!='wml'){
/*
$act = check($_POST['act']);
if(empty($act)){

echo '<form action="?" method=post name=form enctype="multipart/form-data">
<dl><dt>
Файл (.3gp|.avi|.mp4):<br/>
<input type="file" name="file"/><br/>
Описание:<br/>
<textarea name="kom" cols="'.$user['pole2'].'" rows="'.$user['pole1'].'"></textarea><br/><br />';

echo '<input type="hidden" name="act" value="add"/>
<input class="ibutton" type="submit" name="submit" value="Загрузить"/></form><dl></dl>';

}else{
$kom = check($_POST['kom']);

if(!isset($_FILES['file'])) $err = '<b>Вы не указали файл!</b><br/>';

$ff = array('.3gp', '.avi', '.mp4');
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));

if(!in_array($ext, $ff))$err = '<b>Недопустимое расширение файла!</b><br />';

$fnames=$_FILES['file']['name']; //имя
if ((preg_match("/.php/i", $fnames)) or (preg_match("/.pl/i", $fnames)) or ($fnames == ".htaccess")){$err = '<b>Недопустимое расширение файла!</b><br />';}

if($_FILES['file']['size'] > (1024 * $set['size_video'])) $err = '<b>Размер файла не должен превышать <b>'.$set['size_video'].'</b> кб.</b><br />';


$k_f=$db->sql_fetchfield($db->sql_query("select count(*) as num from video where user_id = '".$user['id']."' and `razmer` = '".($_FILES['file']['size']/1024)."' and `format` = '".$ext."' and `kom` = '".$kom."'"),0);
if ($k_f!=0)$err = '<b>Такой файл уже есть!</b><br />';

if(empty($err))
{
$adres = "video_".$user['id']."_".$time.$ext."";

@copy($_FILES['file']['tmp_name'], H.'files/video/'.$adres);
@chmod(H."files/video/".basename($adres), 0644);

$db->sql_query("INSERT INTO `video` (user_id,name,kom,time,adres,format,razmer) values('$user[id]','".check($_FILES['file']['name'])."','$kom','$time','$adres','$ext','".($_FILES['file']['size']/1024)."')");


header ('Location: '.H.'video'.$user['id'].'?'.SID);  exit;
}else echo "$err ";

}
*/echo 'Временно закрыто!';
}else echo "Файл добавить можно Толька в HTML режиме !<br />";


echo '<a href="'.H.'video'.$user['id'].'">Мое видео</a><br/>';
echo '<br />';
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>